//import packages for TCP socket use
import java.lang.*;
import java.io.*;
import java.net.*;

public class TcpServer
{
	private ServerSocket myServer;
	private Socket mySocket;
	
	public TcpServer()
	{
		try
		{
			myServer = new ServerSocket(1234);
			mySocket = null;
		}
		catch(Exception e)
		{
			System.out.print(e);
		}
	}
	
	public String getCommand()
	{
		try 
		{
			mySocket = myServer.accept();
			BufferedReader in = new BufferedReader(new InputStreamReader(mySocket.getInputStream()));
			while (!in.ready()) {}
			String temp = in.readLine();
			return temp;
		}
		catch(Exception e)
		{
			System.out.print(e);
			return "error";
		}
	}
	
	public void sendResponse(String response)
	{
		try 
		{
			PrintWriter out = new PrintWriter(mySocket.getOutputStream(), true);
			out.println(response);
			out.flush();
		}
		catch(Exception e)
		{
			System.out.print(e);
		}
	}

	public void close()
	{
		try
		{
			myServer.close();
			mySocket.close();
		}
		catch(Exception e)
		{
		}
	}
}